Get Entity Store status

Base URL
https://{kibana_url}
  • GET /api/security/entity_store/status
  • GET /s/{space_id}/api/security/entity_store/status
Auth

Get the overall Entity Store status and per-engine statuses, optionally including component-level health details. Each engine reports the log extraction settings that apply to its entity type.

Required authorization

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

include_components union enum | boolean · default: false

If true, returns a detailed status of each engine including all its components.

Values: true false

Response

200

Indicates a successful response.

application/json
Base URL
https://{kibana_url}